Bug 7049 - Item form on order receive has lots of blank space
Summary: Item form on order receive has lots of blank space
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: PATCH-Sent (DO NOT USE) normal (vote)
Target Milestone: ---
Assignee: Katrin Fischer
QA Contact: Bugs List
URL: /cgi-bin/koha/acqui/orderreceive.pl?o...
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-10-17 19:53 UTC by Katrin Fischer
Modified: 2012-10-25 23:09 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
screenshot (23.36 KB, image/png)
2011-10-17 19:53 UTC, Katrin Fischer
Details
Bug 7049: Item form on order receive has lots of blank space (2.07 KB, patch)
2011-10-17 20:08 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 7049: [SIGNED-OFF] Item form on order receive has lots of blank space (2.36 KB, patch)
2011-10-19 13:00 UTC, Magnus Enger
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2011-10-17 19:53:10 UTC
Created attachment 5942 [details]
screenshot

The item form on the order receive page (AcqCreateItem = on receive) contains a lot of blank space which makes it hard to read and fill out.

I think Owen(?) fixed this for creating orders (AcqCreateItem = on order), but can't find the bug right now.
Comment 1 Katrin Fischer 2011-10-17 19:58:23 UTC
Corresponding change to the item form for AcqCreateItem = on order was:
http://git.koha-community.org/gitweb/?p=koha.git;a=commit;h=9a2fd1bb7ed9e4a9a04d603c7fefb51163ac0424
Comment 2 Katrin Fischer 2011-10-17 20:08:35 UTC Comment hidden (obsolete)
Comment 3 Magnus Enger 2011-10-19 13:00:04 UTC
Created attachment 5976 [details] [review]
Bug 7049: [SIGNED-OFF] Item form on order receive has lots of blank space

The item form on the order receive page (AcqCreateItem = on receive) contains a
lot of blank space which makes it hard to read and fill out.

To test:
- set AcqCreateItem = on receive
- create basket, order something, receive shipment
- check item form is nicely formatted and doesn't include lots of blank space

Note: It will be easier to test if you have an ACQ framework created to hide some
unnecessary subfields, because the hidden fields create the blank space.

Signed-off-by: Magnus Enger <magnus@enger.priv.no>
Created an ACQ framework and hid some of the fields (hidden = 5). Before the
patch there were gaps between the fields as shown in the screenshot from
Katrin. After the patch fields line up nicely, with no extra space between
them.
Comment 4 Ian Walls 2011-10-19 18:43:54 UTC
Just moves hidden styling out of div an into <li> that wraps it, thereby removing extra spacing.  Marking as Passed QA
Comment 5 Chris Cormack 2011-10-19 22:58:10 UTC
Template only change, not introducing any new strings pushed